Announcement

Collapse
No announcement yet.

Will there be a backport of the GCC4.7 to existing Linux Distributions.

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Will there be a backport of the GCC4.7 to existing Linux Distributions.

    I am nišive, in believing that GCC4.7 is a powerful compiler that should just plug-in and replace the Current GCC compiler. Does the new GCC produce dynamic link libraries that are incompatible with the currently distributed GCC compiler?

  • #2
    There are no ABI changes in 4.7. That means it produces libraries that can be used by anything built with any older GCC version. The ABI has been standardized and been stable for quite a while now.

    Comment


    • #3
      its GLIBC you have to worry about, not GCC. Previous versions of glibc wont be forward compatible. In other words, if you compile on a newer distro and then bring that same app to an older one, it probably won't work. On the other hand, if you compile on an older distro then that same program will most likely on the newer distro. GCC isn't to blame though. Glibc is just covering its ass. For good reason, ofcourse. They don't want an excessive number of bug reports for some obsoleted version.

      Comment

      Working...
      X